# rollForwardRecoveryFrom=path attribute

#### Function

You can specify the rollForwardRecoveryFrom=path in the boot time URL to restore the database using a backup copy and perform rollforward recovery using archived and active logs.

To restore a database using rollforward recovery, you must already have a backup copy of the database, all the archived logs since then, and the active log files. All the log files should be in the database log directory.

After a database is restored from full backup, transactions from the online archived logs and the active logs are replayed.

For more information about using this attribute, see "Roll-forward recovery" in the Derby Server and Administration Guide.

#### Combining with other attributes

Do not combine this attribute with createFrom, restoreFrom, or create.

    URL: jdbc:derby:wombat;rollForwardRecoveryFrom=d:/backup/wombat

Parent topic: Setting attributes for the database connection URL